### Constructor

# Phosh AppAuthPrompt new

#### Declaration [src]

    GtkWidget*
    phosh_app_auth_prompt_new (
      GIcon* icon,
      const char* title,
      const char* subtitle,
      const char* body,
      const char* grant_label,
      const char* deny_label,
      gboolean offer_remember,
      GVariant* choices
    )

#### Description

No description available.

#### Parameters

`icon`

  Type: `GIcon`

  No description available.

  The data is owned by the caller of the function.

`title`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`subtitle`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`body`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`grant_label`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`deny_label`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`offer_remember`

  Type: `gboolean`

  No description available.

`choices`

  Type: `GVariant`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

No description available.

The data is owned by the called function.